Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

OCI Vaults APIs

Viewing Details of OCI Vaults

search

Viewing Details of OCI Vaults

Use the get /v1/cckm/oci/vaults/{id} API to view the details of an OCI vault with the given id.

Syntax

curl -k '<IP>/api/v1/cckm/oci/vaults/{id}' -H 'Authorization: AUTHTOKEN' -H 'accept: application/json' --compressed

Here, {id} is the resource ID of the OCI vault on the CipherTrust Manager. Run the get /v1/cckm/oci/vaults API to view the resource ID (id) of the OCI vaults added to the CipherTrust Manager. Note that this resource id is different from the vault_id on OCI.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/oci/vaults/f3f71f32-a89f-4c0a-be14-44e324b38f63' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJmMDYzMTBmYy02NGVhLTQ4OTgtYmI3Mi05YTIwYzBkOTUxYzIiLCJzdWIiOiJsb2NhbHxmYzg2MjhkMC1mNjczLTRhMWYtYjQ3Yi1hM2I0ODVhMWU3OTQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiYzk4YzkyZTUtMjM0OS00YzU5LWJlZWYtODc2OTQ4ZjIwNzM0Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjJmYmEzOGFmLTFkNzUtNGQ3NS04NTUzLWQ1NDljYzBjYmRlMiIsImlhdCI6MTYzMzMyNzkxNCwiZXhwIjoxNjMzMzI4MjE0fQ.L9sMTuMAEdwHy1qH1nlhDTyy0e7L03WO_bhcOBI4SnU' -H 'accept: application/json' --compressed

Example Response

{
    "id": "f3f71f32-a89f-4c0a-be14-44e324b38f63",
    "uri": "kylo:kylo:cckm:oci-vault:f3f71f32-a89f-4c0a-be14-44e324b38f63",
    "account": "kylo:kylo:admin:accounts:kylo",
    "createdAt": "2022-01-10T10:38:22.152433Z",
    "updatedAt": "2022-01-10T10:38:22.150548Z",
    "compartment_id": "oraclevault.tenancyb2vg7audpd4d4mcf5zluymff6sq",
    "display_name": "CCKM-Testing",
    "vault_id": "oraclevaultabuwcljta35dmgypqud5hgd7ikl7pmfn7q6wogbigjryu4udtkinnkmyacrq",
    "lifecycle_state": "ACTIVE",
    "management_endpoint": "https://oraclevault.oraclecloud.com",
    "time_created": "2021-12-07T11:50:37.691Z",
    "cloud_name": "oci",
    "connection": "OCI Connection",
    "vault_type": "DEFAULT",
    "wrappingkey_id": "oraclevaultabuwcljstmemqexx5cvev2bfitrlw6tqwqic7mgcbv7chsv7myhpnusyk3zq",
    "defined_tags": {},
    "freeform_tags": {
        "tag-key-1": "tag-value-1",
        "tag-key-2": "tag-value-2",
        "testVault": "cckm"
    },
    "replication_id": "",
    "is_primary": true
}

The sample output shows the details of the OCI vault with the specified resource ID.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.